<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<div *ngFor="let ballotBoxTestVote of ballotBoxTestVotes" class="card">
	<div class="card-header">
		{{ ballotBoxTestVote.name }} - {{ ballotBoxTestVote.id }}
	</div>
	<ng-container *ngIf="ballotBoxTestVote.testVotes.length > 0; else emptyBallotBox">

		<div *ngFor="let testVotes of ballotBoxTestVote.testVotes; index as i; last as isLastTestVotes" class="card-body" [class.border-bottom]="!isLastTestVotes">
			<p class="card-title">{{ 'ballotBoxTestVoteList.vote' | translate }} {{ i + 1 }}</p>
			<ul class="list-group">
				<li *ngFor="let testVoteItem of testVotes" class="list-group-item list-group-item-light">
					<sdm-semantic-information [text]="testVoteItem"></sdm-semantic-information>
				</li>
			</ul>
		</div>

		<ng-container *ngIf="ballotBoxTestVote.writeIns.length > 1 && ballotBoxTestVote.writeIns[0].length > 0">
			<div class="card-body border-bottom" >
				<p class="card-title">{{ 'ballotBoxTestVoteList.writeIns' | translate }}</p>
				<ul class="list-group mt-2" *ngFor="let writeIns of ballotBoxTestVote.writeIns">
					<ng-container *ngIf="writeIns.length > 0">
						<li *ngFor="let writeInsItem of writeIns" class="list-group-item list-group-item-light">
							{{ writeInsItem }}
						</li>
					</ng-container>
				</ul>
			</div>
		</ng-container>

	</ng-container>
	<ng-template #emptyBallotBox>
		<div class="card-body">
			<p class="fst-italic">
				{{ 'ballotBoxTestVoteList.emptyBallotBox' | translate }}
			</p>
		</div>
	</ng-template>
</div>